document.addEventListener('deviceready', function () {
  
  var notificationOpenedCallback = function(jsonData) {
    if(jsonData.notification.payload.additionalData.message){
      myApp.alert(jsonData.notification.payload.additionalData.message,'');
    }
    if(jsonData.notification.payload.additionalData.page){
      mainView.router.loadPage(jsonData.notification.payload.additionalData.page);
    }

  }

  window.plugins.OneSignal.getIds(function(ids) {
    if(!storage.getItem('appId'+defaultId)){
      myApp.showIndicator();
      $$.ajax({
         type: "POST",
         url: hostUrl+'appv1/player/',
         data: {'playerId':ids.userId,'pushToken':ids.pushToken,'cid':defaultId,'uid':mId},
         dataType: "json",
         success: function (data, textStatus) {
            if(data.report && !data.error){
              storage.setItem('appId'+defaultId,data.appId);
            }
            myApp.hideIndicator();
         },
         error: function(xhr, textStatus){ 
            // We have received response and can hide activity indicator
            myApp.hideIndicator(); 
            myApp.alert(errorConnection,errorConnectionEn);
        }
      });
    }
  });

  window.plugins.OneSignal
    .startInit("7740c8aa-5c45-46fc-8719-5f5c17a81064")
    .handleNotificationOpened(notificationOpenedCallback)
    .endInit();
}, false);